
From: Tobias Klauser <tklauser@nuerscht.ch>

Use the DMA_32BIT_MASK constant from dma-mapping.h when calling
pci_set_dma_mask() or pci_set_consistent_dma_mask() See
http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/oss/esssolo1.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN sound/oss/esssolo1.c~sound-oss-esssolo1-use-the-dma_32bit_mask-constant sound/oss/esssolo1.c
--- 25/sound/oss/esssolo1.c~sound-oss-esssolo1-use-the-dma_32bit_mask-constant	2005-06-06 00:15:31.000000000 -0700
+++ 25-akpm/sound/oss/esssolo1.c	2005-06-06 00:15:31.000000000 -0700
@@ -104,6 +104,7 @@
 #include <linux/smp_lock.h>
 #include <linux/gameport.h>
 #include <linux/wait.h>
+#include <linux/dma-mapping.h>
 
 #include <asm/io.h>
 #include <asm/page.h>
@@ -2346,7 +2347,7 @@ static int __devinit solo1_probe(struct 
 	 * to 24 bits first, then 32 bits (playback only) if that fails.
 	 */
 	if (pci_set_dma_mask(pcidev, 0x00ffffff) &&
-	    pci_set_dma_mask(pcidev, 0xffffffff)) {
+	    pci_set_dma_mask(pcidev, DMA_32BIT_MASK)) {
 		printk(KERN_WARNING "solo1: architecture does not support 24bit or 32bit PCI busmaster DMA\n");
 		return -ENODEV;
 	}
_
